# Class FileUploader

### Hierarchy

- FileUploader

### Constructors

- constructor

### Methods

- uploadFile

## Constructors

### constructor

- new FileUploader(appLoc: string, serverUrl: string, jobsPath: string, setCsrfTokenWeb: any, csrfToken?: CsrfToken | null): FileUploader

- - Defined in FileUploader.ts:8

  #### Parameters

  - ##### appLoc: string

  - ##### serverUrl: string

  - ##### jobsPath: string

  - ##### setCsrfTokenWeb: any

  - ##### Default value csrfToken: CsrfToken | null = null

  #### Returns FileUploader

## Methods

### uploadFile

- uploadFile(sasJob: string, files: UploadFile[], params: any): Promise<unknown>

- - Defined in FileUploader.ts:21

  #### Parameters

  - ##### sasJob: string

  - ##### files: UploadFile[]

  - ##### params: any

  #### Returns Promise<unknown>

Generated using TypeDoc